Subject: Re: [bug#41882] [PATCH] channels: Allow specifying per-channel --allow-downgrades in the channel file

From: Jakub Kądziołka <[email-masked]>
Date: Fri, 19 Jun 2020 01:52:13 +0200

On Wed, Jun 17, 2020 at 11:27:44AM +0200, Ludovic Courtès wrote:
> It may be that setting GUIX_BUILD_OPTIONS=--allow-downgrades actually
> works, though it’s a bit of a hack.

I have found the time to test this. Unfortunately, while it does make
`guix pull' work, it breaks other commands, such as `guix build'.

I'm not sure what a good solution would be, then. I could make a bash
alias, but that forfeits the per-channel granularity. Of course, this
could be solved by augmenting --allow-downgrades to optionally take as a
parameter a list of channel names, but it's not something people would
use interactively and feels like a workaround for the fact there's no
relevant configuration file this could be in.

Thoughts?

Regards,
Jakub Kądziołka